package terminal;

import static terminal.SelectGraphicRendition.SGR_COMMAND;

import java.util.*;

import terminal.ControlSequence.NullControlSequence;

public class ControlSequenceLookup {

    private static Map<Character, Map<String, ControlSequence>> commands = new HashMap<>();

    static {
        Map<String, ControlSequence> sgrCodes = new HashMap<>();

        for (SelectGraphicRendition sgr : SelectGraphicRendition.values())
            sgrCodes.put(sgr.getCode(), sgr);

        commands.put(SGR_COMMAND, sgrCodes);
    }

    public static ControlSequence lookupControlSequence(char command, String code) {
        Map<String, ControlSequence> codes = commands.getOrDefault(command, new HashMap<>());

        return codes.getOrDefault(code, new NullControlSequence());
    }

}